Subject: bug#48533: closed (Re: [bug-diffutils] bug#48533: Broken ChangeLog link in HACKING)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 May 2021 06:59:02 +0000

Your bug report

#48533: Broken ChangeLog link in HACKING

which was filed against the diffutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48533: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48533
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug-diffutils] bug#48533: Broken ChangeLog link in HACKING
From: Paul Eggert <[email-masked]>
To: Peter Oliver <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 May 2021 23:58:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 5/20/21 5:07 AM, Peter Oliver wrote:
> In the section “Commit log requirements”, HACKING links to page 
> <http://www.gnu.org/software/guile/changelogs/guile-changelogs_3.html> 
> which returns 404 Not Found.
> 
> (I was able to find this content via the Wayback Machine at 
> <https://web.archive.org/web/20151008204941/http://www.gnu.org:80/software/guile/changelogs/guile-changelogs_3.html>, 
> but it would be better if I didn’t have to do that)
> 

Thanks, I installed the attached to fix the URL. The old Guile stuff no 
longer seems to be available, so this references the GNU Coding Standards.
>From 4c42ca30c6164e215b2db6dd6efcc3be1ae9e175 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Thu, 20 May 2021 23:56:08 -0700
Subject: [PATCH] doc: fix URL in HACKING

---
 HACKING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/HACKING b/HACKING
index 85a13ad..156936f 100644
--- a/HACKING
+++ b/HACKING
@@ -221,7 +221,7 @@ keep the maximum line length at 72 or smaller, so that the generated
 ChangeLog lines, each with its leading TAB, will not exceed 80 columns.
 As for the ChangeLog-style content, please follow these guidelines:
 
-  http://www.gnu.org/software/guile/changelogs/guile-changelogs_3.html
+  https://www.gnu.org/prep/standards/html_node/Change-Logs.html
 
 Try to make the summary line fit one of the following forms:
 
-- 
2.27.0

Subject: Broken ChangeLog link in HACKING
From: Peter Oliver <[email-masked]>
To: [email-masked]
Date: Thu, 20 May 2021 13:07:19 +0100 (BST)
List-Id: <debbugs-submit.debbugs.gnu.org>

In the section “Commit log requirements”, HACKING links to page <http://www.gnu.org/software/guile/changelogs/guile-changelogs_3.html> which returns 404 Not Found.

(I was able to find this content via the Wayback Machine at <https://web.archive.org/web/20151008204941/http://www.gnu.org:80/software/guile/changelogs/guile-changelogs_3.html>, but it would be better if I didn’t have to do that)

-- 
Peter Oliver